from enum import Enum


class InterfaceTypeValue(str, Enum):
    BRIDGE = "bridge"
    CDMA = "cdma"
    CISCO_FLEXSTACK = "cisco-flexstack"
    CISCO_FLEXSTACK_PLUS = "cisco-flexstack-plus"
    CISCO_STACKWISE = "cisco-stackwise"
    CISCO_STACKWISE_160 = "cisco-stackwise-160"
    CISCO_STACKWISE_1T = "cisco-stackwise-1t"
    CISCO_STACKWISE_320 = "cisco-stackwise-320"
    CISCO_STACKWISE_480 = "cisco-stackwise-480"
    CISCO_STACKWISE_80 = "cisco-stackwise-80"
    CISCO_STACKWISE_PLUS = "cisco-stackwise-plus"
    DOCSIS = "docsis"
    E1 = "e1"
    E3 = "e3"
    EPON = "epon"
    EXTREME_SUMMITSTACK = "extreme-summitstack"
    EXTREME_SUMMITSTACK_128 = "extreme-summitstack-128"
    EXTREME_SUMMITSTACK_256 = "extreme-summitstack-256"
    EXTREME_SUMMITSTACK_512 = "extreme-summitstack-512"
    GPON = "gpon"
    GSM = "gsm"
    IEEE802_11A = "ieee802.11a"
    IEEE802_11AC = "ieee802.11ac"
    IEEE802_11AD = "ieee802.11ad"
    IEEE802_11AX = "ieee802.11ax"
    IEEE802_11AY = "ieee802.11ay"
    IEEE802_11G = "ieee802.11g"
    IEEE802_11N = "ieee802.11n"
    IEEE802_15_1 = "ieee802.15.1"
    INFINIBAND_DDR = "infiniband-ddr"
    INFINIBAND_EDR = "infiniband-edr"
    INFINIBAND_FDR = "infiniband-fdr"
    INFINIBAND_FDR10 = "infiniband-fdr10"
    INFINIBAND_HDR = "infiniband-hdr"
    INFINIBAND_NDR = "infiniband-ndr"
    INFINIBAND_QDR = "infiniband-qdr"
    INFINIBAND_SDR = "infiniband-sdr"
    INFINIBAND_XDR = "infiniband-xdr"
    JUNIPER_VCP = "juniper-vcp"
    LAG = "lag"
    LTE = "lte"
    NG_PON2 = "ng-pon2"
    OTHER = "other"
    OTHER_WIRELESS = "other-wireless"
    SONET_OC12 = "sonet-oc12"
    SONET_OC192 = "sonet-oc192"
    SONET_OC1920 = "sonet-oc1920"
    SONET_OC3 = "sonet-oc3"
    SONET_OC3840 = "sonet-oc3840"
    SONET_OC48 = "sonet-oc48"
    SONET_OC768 = "sonet-oc768"
    T1 = "t1"
    T3 = "t3"
    VALUE_10 = "10gbase-t"
    VALUE_11 = "10gbase-cx4"
    VALUE_12 = "1000base-x-gbic"
    VALUE_13 = "1000base-x-sfp"
    VALUE_14 = "10gbase-x-sfpp"
    VALUE_15 = "10gbase-x-xfp"
    VALUE_16 = "10gbase-x-xenpak"
    VALUE_17 = "10gbase-x-x2"
    VALUE_18 = "25gbase-x-sfp28"
    VALUE_19 = "50gbase-x-sfp56"
    VALUE_20 = "40gbase-x-qsfpp"
    VALUE_21 = "50gbase-x-sfp28"
    VALUE_22 = "100gbase-x-cfp"
    VALUE_23 = "100gbase-x-cfp2"
    VALUE_24 = "200gbase-x-cfp2"
    VALUE_25 = "400gbase-x-cfp2"
    VALUE_26 = "100gbase-x-cfp4"
    VALUE_27 = "100gbase-x-cxp"
    VALUE_28 = "100gbase-x-cpak"
    VALUE_29 = "100gbase-x-dsfp"
    VALUE_3 = "100base-fx"
    VALUE_30 = "100gbase-x-sfpdd"
    VALUE_31 = "100gbase-x-qsfp28"
    VALUE_32 = "100gbase-x-qsfpdd"
    VALUE_33 = "200gbase-x-qsfp56"
    VALUE_34 = "200gbase-x-qsfpdd"
    VALUE_35 = "400gbase-x-qsfp112"
    VALUE_36 = "400gbase-x-qsfpdd"
    VALUE_37 = "400gbase-x-osfp"
    VALUE_38 = "400gbase-x-osfp-rhs"
    VALUE_39 = "400gbase-x-cdfp"
    VALUE_4 = "100base-lfx"
    VALUE_40 = "400gbase-x-cfp8"
    VALUE_41 = "800gbase-x-qsfpdd"
    VALUE_42 = "800gbase-x-osfp"
    VALUE_43 = "1000base-kx"
    VALUE_44 = "10gbase-kr"
    VALUE_45 = "10gbase-kx4"
    VALUE_46 = "25gbase-kr"
    VALUE_47 = "40gbase-kr4"
    VALUE_48 = "50gbase-kr"
    VALUE_49 = "100gbase-kp4"
    VALUE_5 = "100base-tx"
    VALUE_50 = "100gbase-kr2"
    VALUE_51 = "100gbase-kr4"
    VALUE_6 = "100base-t1"
    VALUE_7 = "1000base-t"
    VALUE_71 = "1gfc-sfp"
    VALUE_72 = "2gfc-sfp"
    VALUE_73 = "4gfc-sfp"
    VALUE_74 = "8gfc-sfpp"
    VALUE_75 = "16gfc-sfpp"
    VALUE_76 = "32gfc-sfp28"
    VALUE_77 = "64gfc-qsfpp"
    VALUE_78 = "128gfc-qsfp28"
    VALUE_8 = "2.5gbase-t"
    VALUE_9 = "5gbase-t"
    VALUE_99 = "10g-epon"
    VIRTUAL = "virtual"
    XDSL = "xdsl"
    XGS_PON = "xgs-pon"
    XG_PON = "xg-pon"

    def __str__(self) -> str:
        return str(self.value)
